/* This program computes the mean of a list of component failure
   times, using a query-function controlled loop to input the values.

   Input:   A list of fail times and user responses (via MoreData())
   Output:  User prompts, number of fail times read, and their mean
            or a message indicating that no  failure times were
            entered
-------------------------------------------------------------------*/

#include <iostream.h>
#include "Query.h"                    // provides function MoreData()

int main(void)
{
   cout << "\nThis program computes the mean failure time,\n"
        << "\tgiven a list of component failure times.\n";

   int
      NumTimes = 0;                   // number of failure times
   double
      FailTime,                       // failure time being processed
      Sum = 0.0;                      // sum of the failure times

   do
   {
      cout << "\nPlease enter a failure time: ";
      cin >> FailTime;

      NumTimes++;
      Sum += FailTime;
   }
   while (MoreData());                // call to query function

   double
      MeanFailTime = Sum / NumTimes;  // the mean of the fail times

   cout << "\n\t--> The mean of the " << NumTimes
        << " failure times is " << MeanFailTime
        << "\n\n";

   return 0;
}
